
#define	DIODE	2
#define	TRIODE	3
#define	PENTODE	5
#define	HEPTODE	7
#define	OCTODE	8

/* Struct defining one tube */
struct tudata {
	char *name, *descr;
	int type;
	int n, sn;		/* number of elements in arrays allocated below */
	double *Vg, *Vp, *Ip, *Vg2;
	double *Vs, *Is;
	double VCT, MU;
	double CCP, CCG, CGP, RGI;	/* Used by SPICE */
	double Xb, Xi, Xt;
	double Yb, Yi, Yt;
	double Gb, Gi, Gt;
	double Wa, EPS;
};

enum { xKA = 0, xKB = 2 };		/* Diodes */
enum { xMU, xEX, xKG1, xKP, xKVB };

extern struct tudata d;
extern double x[], var[];
